#-------------------------------------------------------------------------------
# File: untitled2.inc
# GENERATED BY fglwsdl 201911281014
#-------------------------------------------------------------------------------
# THIS FILE WAS GENERATED. DO NOT MODIFY.
#-------------------------------------------------------------------------------


GLOBALS

#
# Global WebService error structure
# Check the contents of this structure for a detailed error description
# when a WebService function returns with a non-zero status.
#

DEFINE wsError RECORD
	code		STRING,
	codeNS		STRING,
	description	STRING,
	action		STRING
END RECORD




#
#-------------------------------------------------------------------------------
# XML Type definitions 
#-------------------------------------------------------------------------------
#

#
# Global Endpoint user-defined type definition
#
TYPE tGlobalEndpointType RECORD	 # End point
	Address	RECORD	# Address
		Uri	STRING	# URI 
	END RECORD,
	Binding	RECORD	# Binding
		Version	STRING,	# HTTP Version (1.0 or 1.1)
		Cookie	STRING,	# Cookie to be set
		Request RECORD	 # HTTP request
			Headers DYNAMIC ARRAY OF RECORD	# HTTP Headers
				Name	STRING,
				Value	STRING
			END RECORD
		END RECORD,
		Response RECORD	 # HTTP response
			Headers DYNAMIC ARRAY OF RECORD	# HTTP Headers
				Name	STRING,
				Value	STRING
			END RECORD
		END RECORD,
		ConnectionTimeout	INTEGER,# Connection timeout
		ReadWriteTimeout	INTEGER,# Read write timeout
		CompressRequest		STRING	# HTTP request compression mode (gzip or deflate)
	END RECORD
END RECORD



#
# TYPE : trequest
#
TYPE trequest RECORD ATTRIBUTE(XMLSequence,XSTypeName="request",XSTypeNamespace="http://tempuri.org/")
  NIT STRING ATTRIBUTE(XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : tdatos
#
TYPE tdatos RECORD ATTRIBUTE(XMLSequence,XSTypeName="datos",XSTypeNamespace="http://tempuri.org/")
  Result BOOLEAN ,
  NIT STRING ATTRIBUTE(XMLOptional),
  nombre STRING ATTRIBUTE(XMLOptional),
  error STRING ATTRIBUTE(XMLOptional)
END RECORD
#-------------------------------------------------------------------------------

#
# TYPE : trespuesta
#
TYPE trespuesta RECORD ATTRIBUTE(XMLSequence,XSTypeName="respuesta",XSTypeNamespace="http://tempuri.org/")
  Request trequest ATTRIBUTE(XMLOptional),
  Response tdatos ATTRIBUTE(XMLOptional)
END RECORD
#-------------------------------------------------------------------------------



#-------------------------------------------------------------------------------
# Service: ConsultaNIT
# Port:    ConsultaNITSoap
# Server:  http://fel.g4sdocumenta.com/ConsultaNIT/ConsultaNIT.asmx
#-------------------------------------------------------------------------------
#
# Location of the SOAP endpoint.
# You can reassign this value at run-time.
#
DEFINE ConsultaNIT_ConsultaNITSoapEndpoint tGlobalEndpointType

#-------------------------------------------------------------------------------
#
# Operation: getNIT
#
# FUNCTION: getNIT_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL getNIT
#   OUTPUT: GLOBAL getNITResponse
#
# FUNCTION: getNITRequest_g()
#   RETURNING: soapStatus
#   INPUT: GLOBAL getNIT
#
# FUNCTION: getNITResponse_g()
#   RETURNING: soapStatus
#   OUTPUT: GLOBAL getNITResponse
#

#-------------------------------------------------------------------------------

# VARIABLE : getNIT
DEFINE getNIT RECORD ATTRIBUTE(XMLSequence,XMLName="getNIT",XMLNamespace="http://tempuri.org/")
         vNIT STRING ATTRIBUTE(XMLOptional),
         Entity STRING ATTRIBUTE(XMLOptional),
         Requestor STRING ATTRIBUTE(XMLOptional)
       END RECORD


#-------------------------------------------------------------------------------

# VARIABLE : getNITResponse
DEFINE getNITResponse RECORD ATTRIBUTE(XMLSequence,XMLName="getNITResponse",XMLNamespace="http://tempuri.org/")
         getNITResult trespuesta ATTRIBUTE(XMLOptional)
       END RECORD



END GLOBALS
